CVE-2013-7262

NameCVE-2013-7262
DescriptionSQL injection vulnerability in the msPostGISLayerSetTimeFilter function in mappostgis.c in MapServer before 6.4.1, when a WMS-Time service is used, allows remote attackers to execute arbitrary SQL commands via a crafted string in a PostGIS TIME filter.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium
Debian Bugs734565

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
mapserver (PTS)stretch7.0.4-2fixed
buster7.2.2-1fixed
bullseye, sid7.6.1-1fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
mapserversourcesqueeze5.6.5-2+squeeze3
mapserversourcewheezy6.0.1-3.2+deb7u2
mapserversource(unstable)6.4.1-1low734565

Notes

https://github.com/mapserver/mapserver/issues/4834

Search for package or bug name: Reporting problems